import React, { useState } from 'react'
import Taro, { Current } from '@tarojs/taro'
import request, { apis } from '@/utils/request'
import Page from '@/layouts'
import '@/assets/css/reset.less'
import '@/assets/css/iconfont.less'
import './index.less'

export default function HuoDongDetail () {

  const [DataLock, setDataLock] = useState(false)
  const [HasSign, setHasSign] = useState(false)
  const [CurrnetId] = useState(Current.router.params.id) // 当前活动id

  const ToSign = () => {
    if (!DataLock) {
      setDataLock(true)
      request({ ...apis.activitySign, args: { id: CurrnetId } }).then(() => {
        Taro.showToast({ title: '签到成功', icon: 'none' })
        setDataLock(false)
        setHasSign(true)
      }).catch((res) => {
        Taro.showToast({ title: res, icon: 'none' })
        setDataLock(false)
      })
    }
  }

  return (
    <Page>
      <view className='HuoDongSign'>
        <image mode='widthFix' src={null}></image>
        <view className={HasSign ? 'SignBtn' : 'SignBtn active'}>
          <view>
            <text className='centerLabel' onClick={ToSign}>{HasSign ? '已签到' : '签到'}</text>
          </view>
        </view>
      </view>
    </Page>
  )
}
